!******************** start file bsumint.for ; group guts ******************
!---------------------------------------------------------------
!
real(fp) function bsumint(zprof)
  !
  !  calculate volume integral of profile function
  !   (profile function *not* volume normalized -- i.e. just add up
  !    the elements).
  !
  use nbi_com
  !
  implicit none
  real(fp) :: zprof(mj)
  integer :: j
  !
  bsumint=0.0_fp
  do j=lcentr,ledge
     bsumint=bsumint+zprof(j)
  end do
  !
  return
end function bsumint
!******************** end file bsumint.for ; group guts ******************
